/*
 * Copyright (C) 2005-2006 Kouji Sugisawa. All rights reserved.
 */

package jp.sourceforge.livez.dao;

import java.io.Serializable;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.apache.commons.lang.builder.ToStringStyle;

/**
 * ボーダフォン端末情報を提供します。
 * 
 * @author 杉澤 浩二
 */
public class Vodafone implements Serializable {

	private static final long serialVersionUID = 1L;

	/**
	 * デフォルトコンストラクタです。
	 */
	public Vodafone() {}

	/**
	 * 端末名を保持します。
	 */
	private String name;

	/**
	 * 端末名を返します。
	 * 
	 * @return 端末名
	 */
	public String getName() {
		return name;
	}

	/**
	 * 端末名を設定します。
	 * 
	 * @param name 端末名
	 */
	public void setName(final String name) {
		this.name = StringUtils.defaultIfEmpty(name, null);
	}

	/**
	 * 製品名を保持します。
	 */
	private String productName;

	/**
	 * 製品名を返します。
	 * 
	 * @return 製品名
	 */
	public String getProductName() {
		return productName;
	}

	/**
	 * 製品名を設定します。
	 * 
	 * @param productName 製品名
	 */
	public void setProductName(final String productName) {
		this.productName = StringUtils.defaultIfEmpty(productName, null);
	}

	@Override
	public int hashCode() {
		return HashCodeBuilder.reflectionHashCode(this);
	}

	@Override
	public boolean equals(final Object obj) {
		return EqualsBuilder.reflectionEquals(this, obj);
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.MULTI_LINE_STYLE);
	}

}
